Browse Source

Sync with portage [Mon Mar 4 14:15:57 MSK 2013].

mhiretskiy
root 9 years ago
parent
commit
a01fd0ece5
  1. 4
      app-admin/apache-tools/apache-tools-2.4.4.ebuild
  2. 1
      app-admin/haskell-updater/Manifest
  3. 51
      app-admin/haskell-updater/haskell-updater-1.2.0.9.ebuild
  4. 4
      app-backup/dar/dar-2.4.9.ebuild
  5. 4
      app-crypt/mit-krb5/mit-krb5-1.11.1.ebuild
  6. 2
      app-emulation/q4wine/Manifest
  7. 61
      app-emulation/q4wine/q4wine-0.999_rc7.ebuild
  8. 61
      app-emulation/q4wine/q4wine-0.999_rc8.ebuild
  9. 1
      app-i18n/scim-hangul/Manifest
  10. 52
      app-i18n/scim-hangul/scim-hangul-0.4.0.ebuild
  11. 4
      app-i18n/transifex-client/transifex-client-0.8.0-r1.ebuild
  12. 26
      app-i18n/transifex-client/transifex-client-0.8.0.ebuild
  13. 2
      app-misc/dateutils/Manifest
  14. 9
      app-misc/dateutils/dateutils-0.2.3.ebuild
  15. 14
      app-misc/dateutils/dateutils-0.2.4.ebuild
  16. 1
      app-misc/pysmssend/Manifest
  17. 45
      app-misc/pysmssend/pysmssend-1.45.ebuild
  18. 6
      app-text/xdvik/xdvik-22.84.16.ebuild
  19. 6
      app-text/xdvik/xdvik-22.85-r1.ebuild
  20. 6
      dev-db/drizzle/drizzle-7.2.4.ebuild
  21. 49
      dev-db/unixODBC/unixODBC-2.3.1-r1.ebuild
  22. 4
      dev-lang/ruby/ruby-1.8.7_p371.ebuild
  23. 1
      dev-libs/MicroJSON/metadata.xml
  24. 1
      dev-libs/UTF8Strings/metadata.xml
  25. 4
      dev-libs/libev/libev-4.11-r1.ebuild
  26. 6
      dev-libs/libverto/libverto-0.2.5.ebuild
  27. 37
      dev-python/wxpython/files/wxpython-2.8.12-drop-categories.patch
  28. 3
      dev-python/wxpython/wxpython-2.8.12.1-r1.ebuild
  29. 4
      dev-ruby/crack/crack-0.3.2.ebuild
  30. 1
      dev-ruby/diff-lcs/Manifest
  31. 29
      dev-ruby/diff-lcs/diff-lcs-1.2.1.ebuild
  32. 2
      dev-ruby/fast_gettext/Manifest
  33. 10
      dev-ruby/fast_gettext/fast_gettext-0.7.0.ebuild
  34. 1
      dev-ruby/fcgi/Manifest
  35. 42
      dev-ruby/fcgi/fcgi-0.9.1.ebuild
  36. 4
      dev-tcltk/tcllib/tcllib-1.15.ebuild
  37. 1
      dev-util/android-sdk-update-manager/Manifest
  38. 100
      dev-util/android-sdk-update-manager/android-sdk-update-manager-21.1.ebuild
  39. 1
      dev-util/codeblocks/Manifest
  40. 32
      dev-util/codeblocks/codeblocks-12.11.ebuild
  41. 31
      dev-util/codeblocks/codeblocks-9999.ebuild
  42. 4
      dev-util/gource/gource-0.39.ebuild
  43. 1
      dev-util/perf/Manifest
  44. 164
      dev-util/perf/perf-3.8.ebuild
  45. 12
      media-gfx/blender/metadata.xml
  46. 2
      media-gfx/xfig/Manifest
  47. 22
      media-gfx/xfig/files/xfig-3.2.5b-darwin.patch
  48. 332
      media-gfx/xfig/files/xfig-3.2.5b-edit-menu.patch
  49. 26
      media-gfx/xfig/files/xfig-3.2.5b-solaris.patch
  50. 111
      media-gfx/xfig/xfig-3.2.5b-r3.ebuild
  51. 3
      media-plugins/qmmp-plugin-pack/Manifest
  52. 18
      media-plugins/qmmp-plugin-pack/qmmp-plugin-pack-0.6.2.ebuild
  53. 25
      media-plugins/qmmp-plugin-pack/qmmp-plugin-pack-0.6.3.ebuild
  54. 25
      media-plugins/qmmp-plugin-pack/qmmp-plugin-pack-0.6.4.ebuild
  55. 1
      media-sound/qmmp/Manifest
  56. 118
      media-sound/qmmp/qmmp-0.6.6.ebuild
  57. 2
      metadata/dtd/timestamp.chk
  58. 2
      metadata/glsa/timestamp.chk
  59. 19
      metadata/herds.xml
  60. 4
      metadata/md5-cache/app-admin/apache-tools-2.4.4
  61. 12
      metadata/md5-cache/app-admin/haskell-updater-1.2.0.9
  62. 4
      metadata/md5-cache/app-crypt/mit-krb5-1.11.1
  63. 13
      metadata/md5-cache/app-emulation/q4wine-0.999_rc7
  64. 13
      metadata/md5-cache/app-emulation/q4wine-0.999_rc8
  65. 13
      metadata/md5-cache/app-i18n/scim-hangul-0.4.0
  66. 12
      metadata/md5-cache/app-i18n/transifex-client-0.8.0
  67. 4
      metadata/md5-cache/app-i18n/transifex-client-0.8.0-r1
  68. 10
      metadata/md5-cache/app-misc/dateutils-0.2.2
  69. 5
      metadata/md5-cache/app-misc/dateutils-0.2.3
  70. 11
      metadata/md5-cache/app-misc/dateutils-0.2.4
  71. 13
      metadata/md5-cache/app-misc/pysmssend-1.45
  72. 4
      metadata/md5-cache/app-text/xdvik-22.84.16
  73. 4
      metadata/md5-cache/app-text/xdvik-22.85-r1
  74. 6
      metadata/md5-cache/dev-db/drizzle-7.2.4
  75. 13
      metadata/md5-cache/dev-db/unixODBC-2.3.1-r1
  76. 4
      metadata/md5-cache/dev-lang/ruby-1.8.7_p371
  77. 4
      metadata/md5-cache/dev-libs/libev-4.11-r1
  78. 6
      metadata/md5-cache/dev-libs/libverto-0.2.5
  79. 2
      metadata/md5-cache/dev-python/wxpython-2.8.12.1-r1
  80. 4
      metadata/md5-cache/dev-ruby/crack-0.3.2
  81. 14
      metadata/md5-cache/dev-ruby/diff-lcs-1.2.1
  82. 6
      metadata/md5-cache/dev-ruby/fast_gettext-0.7.0
  83. 14
      metadata/md5-cache/dev-ruby/fcgi-0.9.1
  84. 2
      metadata/md5-cache/dev-tcltk/tcllib-1.15
  85. 13
      metadata/md5-cache/dev-util/android-sdk-update-manager-21.1
  86. 13
      metadata/md5-cache/dev-util/codeblocks-10.05
  87. 13
      metadata/md5-cache/dev-util/codeblocks-12.11
  88. 10
      metadata/md5-cache/dev-util/codeblocks-9999
  89. 6
      metadata/md5-cache/dev-util/gource-0.39
  90. 13
      metadata/md5-cache/dev-util/perf-3.8
  91. 13
      metadata/md5-cache/media-gfx/xfig-3.2.5b-r3
  92. 12
      metadata/md5-cache/media-plugins/qmmp-plugin-pack-0.6.2
  93. 12
      metadata/md5-cache/media-plugins/qmmp-plugin-pack-0.6.3
  94. 12
      metadata/md5-cache/media-plugins/qmmp-plugin-pack-0.6.4
  95. 14
      metadata/md5-cache/media-sound/qmmp-0.6.6
  96. 4
      metadata/md5-cache/net-analyzer/nmbscan-1.2.4
  97. 4
      metadata/md5-cache/net-analyzer/nmbscan-1.2.5
  98. 11
      metadata/md5-cache/net-dialup/xc-4.3.2-r1
  99. 11
      metadata/md5-cache/net-dialup/xc-4.3.2-r2
  100. 2
      metadata/md5-cache/net-dialup/xc-4.3.2-r3

4
app-admin/apache-tools/apache-tools-2.4.4.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/apache-tools/apache-tools-2.4.4.ebuild,v 1.1 2013/02/27 06:54:34 patrick Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/apache-tools/apache-tools-2.4.4.ebuild,v 1.2 2013/03/04 09:00:24 ago Exp $
EAPI="3"
inherit flag-o-matic eutils
@ -11,7 +11,7 @@ SRC_URI="mirror://apache/httpd/httpd-${PV}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc64-solaris ~x64-solaris"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc64-solaris ~x64-solaris"
IUSE="ssl"
RESTRICT="test"

1
app-admin/haskell-updater/Manifest

@ -1,2 +1,3 @@
DIST haskell-updater-1.2.0.5.tar.gz 23026 SHA256 360ce9e37286e090d635d0ccae7b25238be24c61e5eec3787988b1fc9762e024 SHA512 279408895d492aafcead345187d1b2a27ce52cb02512b3bd5d9f33f4acfce465b3164488e9b40faee10fd10fbc9728907e4438b92709fd3a1eedce8585b632d6 WHIRLPOOL 42fe4dd3129f37c0b0d5058d4fa5ca19c391d966efcb13cbeb2e1f9b2aa16849b1de5cdcd24fd73697da06bd4996d972554fc6b9ddd7a5d17a1e36841b60070a
DIST haskell-updater-1.2.0.8.tar.gz 23520 SHA256 4f81bb597e9102d119cb1301426ce83109978686e29ef5e08c71f50245563ee3 SHA512 8240b7c542dc942aafc537478e11b7d43d9d2ad817ce42f2ab6db2b61a4c73884403689693a1c8774510853963312095f5cfe58c971fe30899596e66efe16934 WHIRLPOOL ae5f8916e4d69f35ff3297fecc1b01daf835fd2db7a08d714ae21c681cb5753ba12292a08e158ac18cb3d6e47e94fcdf8d53b9dd136d0e5cb308bb820f11cbb0
DIST haskell-updater-1.2.0.9.tar.gz 23522 SHA256 f5aeea6034222a4c4387bede5510aa6d6aad782d0a5be0bd03f65d474f5a8245 SHA512 600a05d468dc74ce3a1282ac1b991267602bd7715e7d13aaa2558c9241d167894209790c34fe330d86b24814e959046a22ffff79a197e644da2f18284a785eea WHIRLPOOL 22e060ccd076d66a5425592a49568e52015ccb5e5116894a2ccdb54da4b2b6e2288952cd6c257bdefaa401d06f2fc5c10eda9289c11654166b4ac8119584ae0f

51
app-admin/haskell-updater/haskell-updater-1.2.0.9.ebuild

@ -0,0 +1,51 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/haskell-updater/haskell-updater-1.2.0.9.ebuild,v 1.1 2013/03/03 20:35:31 slyfox Exp $
EAPI=4
CABAL_FEATURES="bin nocabaldep"
inherit eutils haskell-cabal
DESCRIPTION="Rebuild Haskell dependencies in Gentoo"
HOMEPAGE="http://haskell.org/haskellwiki/Gentoo#haskell-updater"
SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris" # Add keywords as those archs have a binpkg
IUSE=""
DEPEND=">=dev-lang/ghc-6.12.1"
# Need a lower version for portage to get --keep-going
RDEPEND="|| ( >=sys-apps/portage-2.1.6
sys-apps/pkgcore
sys-apps/paludis )"
src_prepare() {
if use prefix; then
sed -i -e "s,/var/db/pkg,${EPREFIX}&,g" \
"${S}/Distribution/Gentoo/Packages.hs" || die
sed -i -e 's,"/","'"${EPREFIX}"'/",g' \
"${S}/Distribution/Gentoo/GHC.hs" || die
fi
# for ghc snapshots (usually come with unstable Cabal API)
cabal_chdeps \
'Cabal >= 1.8 && < 1.17' 'Cabal >= 1.8 && < 1.18' \
'process < 1.2' 'process < 1.3'
}
src_configure() {
cabal_src_configure \
--bindir="${EPREFIX}/usr/sbin" \
--constraint="Cabal == $(cabal-version)"
}
src_install() {
cabal_src_install
dodoc TODO
}

4
app-backup/dar/dar-2.4.9.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-backup/dar/dar-2.4.9.ebuild,v 1.1 2013/02/03 16:15:11 rich0 Exp $
# $Header: /var/cvsroot/gentoo-x86/app-backup/dar/dar-2.4.9.ebuild,v 1.2 2013/03/03 20:15:48 rich0 Exp $
EAPI="3"
inherit confutils eutils flag-o-matic
@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/dar/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux"
KEYWORDS="amd64 ~ppc ~sparc ~x86 ~amd64-linux"
IUSE="acl dar32 dar64 doc gcrypt lzo nls static static-libs"
RESTRICT="test" # need to be run as root

4
app-crypt/mit-krb5/mit-krb5-1.11.1.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/mit-krb5/mit-krb5-1.11.1.ebuild,v 1.7 2013/03/03 19:44:27 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/app-crypt/mit-krb5/mit-krb5-1.11.1.ebuild,v 1.11 2013/03/03 22:44:38 ago Exp $
EAPI=5
@ -15,7 +15,7 @@ SRC_URI="http://web.mit.edu/kerberos/dist/krb5/${P_DIR}/${MY_P}-signed.tar"
LICENSE="openafs-krb5-a BSD MIT OPENLDAP BSD-2 HPND BSD-4 ISC RSA CC-BY-SA-3.0 || ( BSD-2 GPL-2+ )"
SLOT="0"
KEYWORDS="alpha amd64 arm ~hppa ~ia64 ppc ppc64 x86"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sparc x86"
IUSE="doc +keyutils openldap +pkinit +threads test xinetd"
RDEPEND="!!app-crypt/heimdal

2
app-emulation/q4wine/Manifest

@ -1,5 +1,3 @@
DIST q4wine-0.121.tar.bz2 665208 SHA256 fc5a1a8c09d133a17a997a2b020ad03eaf06c81357863d9f69fd7206d86e3edc SHA512 2086b45a6ecc110b365b63317d6f3b0dd7c87fce548907167fd4ddb6ebffdaf01b3c86df6b54eb977cebb309e80e8786fdfd85c16ab98dcb3f829af74cf26132 WHIRLPOOL dbd47f6d5687500f14ac82af1a8f7335c50f8895cab4b61b7e3597754756e0a39fa84c66b78bb06e45744b093e9cb4146da4d76cbf1d6266ff6676dd62d9416b
DIST q4wine-0.999-rc7.tar.bz2 865925 SHA256 7e6c87e088a9f8b07e105e49b7ed46fd431a26ae379ff9f58571e8318c7abf69 SHA512 84912d3ba0968a5a3ad69ca78dd9a0ac085ca64e5b93ddbf27e9c6c782a55caf6828c7378c5a1e052237f709b366e5a0be4e83637c6fcee451382d4918f3d662 WHIRLPOOL 0b31c0087db8fc152871aeb93702820cfc0b858d33fecfe3a00b5a11cd1418c0fe87c0c6569cd9b0cc8fbf8d395412e9d8d2788ada2ccc5f9616e190903d6a4b
DIST q4wine-0.999-rc8.tar.bz2 879486 SHA256 a61a3f40b47351cdd710c4568a3e912b6ed533e8ba6c49c1cd30d2cddc54d69d SHA512 1fb1e99734d1d771b105a8b1baac1854bf452ae9b7c7e7e4f4895bb920993cdd0e740de6f9300add8a69a36d5698376d656f0a4dba2d683d79b102cc88bdd70a WHIRLPOOL 3f9d7458851f6917ab21b69ddfbc5e0ba378ef5238befa102fe1028bd1bef1e1341c81290d3699f57f3623b589a5e63254345aa32a362b603b3468c0a920ba43
DIST q4wine-1.0-r1.tar.bz2 858442 SHA256 a1020005ab4a71a0d11f37f65638dd8f97bd6f7b8d652f9b6042080046ba00a7 SHA512 bfb37c3bddf5cb6dacb08f71a2c278e977dc6b7bd0b8db1665be27316dc69a185282f9f4aa595eedc77df1ce9bdf386db8fa4b50ff43bc2276413216ea198c1d WHIRLPOOL 7b5ccc0e2cd52a6761517d09f05315a3cd865095de67cc81cde58937b5d0d81dfe5d0497a8c1029bade60322fab5b2c73a63ab75c421472f2b45fca7765fa1bc
DIST q4wine-1.0-r2.tar.bz2 876411 SHA256 c92a5e0f7ce8b6dd5d4d4f6f0ed38ad14ad93652387f513f0769ff6c7bc0be0e SHA512 1be57465c1d96c8250ab3a0ae74df822d6ec4d53e1eb5bf0666ae2340511718052e7471a94fe5bab0bf07e105c86c2064cf7799ece2d530a7ede8e3d8564e458 WHIRLPOOL 063641823f5449c8b22bd7dfc54dd1cc761ac98a36c2d076be231bd5c657ef01684ee662146e4d4d4f3aab77c367ebcff356f8fc221ce07c449bfc8a675499a4

61
app-emulation/q4wine/q4wine-0.999_rc7.ebuild

@ -1,61 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/q4wine/q4wine-0.999_rc7.ebuild,v 1.2 2013/03/02 19:25:09 hwoarang Exp $
EAPI="4"
LANGS="cs de en es he it ru uk pl pt"
inherit cmake-utils
MY_PV="${PV/_/-}"
MY_P="${PN}-${MY_PV}"
DESCRIPTION="Qt4 GUI configuration tool for Wine"
HOMEPAGE="http://q4wine.brezblock.org.ua/"
SRC_URI="mirror://sourceforge/${PN}/${PN}/${PN}%20${MY_PV}/${MY_P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="debug +icoutils +wineappdb -dbus gnome kde"
for x in ${LANGS}; do
IUSE+=" linguas_${x}"
done
DEPEND="dev-qt/qtgui:4
dev-qt/qtsql:4[sqlite]
dev-util/cmake"
RDEPEND="dev-qt/qtgui:4
dev-qt/qtsql:4[sqlite]
app-admin/sudo
app-emulation/wine
>=sys-apps/which-2.19
icoutils? ( >=media-gfx/icoutils-0.26.0 )
sys-fs/fuseiso
kde? ( kde-base/kdesu )
gnome? ( x11-libs/gksu )
dbus? ( dev-qt/qtdbus:4 )"
DOCS="README AUTHORS ChangeLog"
S="${WORKDIR}/${MY_P}"
src_configure() {
mycmakeargs="${mycmakeargs} \
$(cmake-utils_use debug DEBUG) \
$(cmake-utils_use_with icoutils ICOUTILS) \
$(cmake-utils_use_with wineappdb WINEAPPDB) \
$(cmake-utils_use_with dbus DBUS)"
cmake-utils_src_configure
}
src_install() {
cmake-utils_src_install
for x in ${LANGS}; do
if ! has ${x} ${LINGUAS}; then
find "${D}" -name "${PN}_${x}*.qm" -exec rm {} \;
fi
done
}

61
app-emulation/q4wine/q4wine-0.999_rc8.ebuild

@ -1,61 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/q4wine/q4wine-0.999_rc8.ebuild,v 1.2 2013/03/02 19:25:09 hwoarang Exp $
EAPI="4"
LANGS="cs de en es he it ru uk pl pt"
inherit cmake-utils
MY_PV="${PV/_/-}"
MY_P="${PN}-${MY_PV}"
DESCRIPTION="Qt4 GUI configuration tool for Wine"
HOMEPAGE="http://q4wine.brezblock.org.ua/"
SRC_URI="mirror://sourceforge/${PN}/${PN}/${PN}%20${MY_PV}/${MY_P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="debug +icoutils +wineappdb -dbus gnome kde"
for x in ${LANGS}; do
IUSE+=" linguas_${x}"
done
DEPEND="dev-qt/qtgui:4
dev-qt/qtsql:4[sqlite]
dev-util/cmake"
RDEPEND="dev-qt/qtgui:4
dev-qt/qtsql:4[sqlite]
app-admin/sudo
app-emulation/wine
>=sys-apps/which-2.19
icoutils? ( >=media-gfx/icoutils-0.26.0 )
sys-fs/fuseiso
kde? ( kde-base/kdesu )
gnome? ( x11-libs/gksu )
dbus? ( dev-qt/qtdbus:4 )"
DOCS="README AUTHORS ChangeLog"
S="${WORKDIR}/${MY_P}"
src_configure() {
mycmakeargs="${mycmakeargs} \
$(cmake-utils_use debug DEBUG) \
$(cmake-utils_use_with icoutils ICOUTILS) \
$(cmake-utils_use_with wineappdb WINEAPPDB) \
$(cmake-utils_use_with dbus DBUS)"
cmake-utils_src_configure
}
src_install() {
cmake-utils_src_install
for x in ${LANGS}; do
if ! has ${x} ${LINGUAS}; then
find "${D}" -name "${PN}_${x}*.qm" -exec rm {} \;
fi
done
}

1
app-i18n/scim-hangul/Manifest

@ -1 +1,2 @@
DIST scim-hangul-0.3.2.tar.gz 1176577 SHA256 b7c67778f5dd8ec29b96c1477ef008e10fae436928975fc46fbeb7a546d4462b SHA512 e8905320ff8aeeddf0041987ac5a63a19fb75bea44ffc55b5d28b825e064d6881ee0187b55025d69dad35af85da86818afa3ac39f1f10991021a7fbed3e1462e WHIRLPOOL 8a167250f8cda2e72235986b3f6d231951a0ecfd44755a7b256783d158079d2013f2e22545bf5a31907acebadc701f1fbc22eef9222dabe3525772bfb5e8d96e
DIST scim-hangul-0.4.0.tar.gz 456953 SHA256 7f116c87e78da51363fb4968d627364718de6ec02aa6c6119451fdf403e668c0 SHA512 2f0285268deac35763c67487a40b718bf846d63634701a2a68d85109f686421f2c935b1f2998487b1f017c1a5e5bf453c56933ab4984f7464e1613d7e0b3131b WHIRLPOOL a370963855fb1c684af3d20fedeccf45fe0af1ac8dead1bf1f0c303d090f97921ee7d0e78e01fb667fb55cff33fc0ff73f63607aabc50ab2e4b688a9d16c96b1

52
app-i18n/scim-hangul/scim-hangul-0.4.0.ebuild

@ -0,0 +1,52 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-i18n/scim-hangul/scim-hangul-0.4.0.ebuild,v 1.1 2013/03/04 07:43:45 naota Exp $
EAPI=5
inherit autotools-utils
DESCRIPTION="Hangul IMEngine for SCIM ported from imhangul"
HOMEPAGE="http://www.scim-im.org/"
SRC_URI="mirror://sourceforge/scim/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="nls"
RDEPEND="|| ( >=app-i18n/scim-0.99.8 >=app-i18n/scim-cvs-0.99.8 )
>=app-i18n/libhangul-0.0.4
nls? ( virtual/libintl )"
DEPEND="${RDEPEND}
virtual/pkgconfig
nls? ( sys-devel/gettext )"
PATCHES=(
"${FILESDIR}/${PN}-0.3.2+gcc-4.3.patch"
"${FILESDIR}/${PN}-0.3.2+gcc-4.7.patch" )
DOCS=(AUTHORS NEWS)
src_configure() {
local myeconfargs=(
--disable-skim-support
$(use_enable nls)
)
autotools-utils_src_configure
}
src_install() {
autotools-utils_src_install
dodoc ChangeLog* README*
}
pkg_postinst() {
elog
elog "To use SCIM with both GTK2 and XIM, you should use the following"
elog "in your user startup scripts such as .gnomerc or .xinitrc:"
elog
elog "LANG='your_language' scim -d"
elog "export XMODIFIERS=@im=SCIM"
elog
}

4
app-i18n/transifex-client/transifex-client-0.8.0-r1.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-i18n/transifex-client/transifex-client-0.8.0-r1.ebuild,v 1.1 2013/02/06 16:46:32 floppym Exp $
# $Header: /var/cvsroot/gentoo-x86/app-i18n/transifex-client/transifex-client-0.8.0-r1.ebuild,v 1.2 2013/03/03 23:09:28 hwoarang Exp $
EAPI="3"
PYTHON_DEPEND="2"
@ -15,7 +15,7 @@ SRC_URI="http://github.com/transifex/transifex-client/tarball/0.8 -> ${P}.tar.gz
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE=""
DEPEND=""

26
app-i18n/transifex-client/transifex-client-0.8.0.ebuild

@ -1,26 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-i18n/transifex-client/transifex-client-0.8.0.ebuild,v 1.3 2012/08/04 20:41:01 johu Exp $
EAPI="3"
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="3.*"
inherit distutils
DESCRIPTION="A command line interface for Transifex"
HOMEPAGE="http://pypi.python.org/pypi/transifex-client http://www.transifex.net/"
SRC_URI="http://github.com/transifex/transifex-client/tarball/0.8 -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
DEPEND=""
RDEPEND=""
# Upstream is using a very weird naming scheme
GITHUB_HASH="b001295"
S="${WORKDIR}"/${PN/transifex/transifex-transifex}-${GITHUB_HASH}

2
app-misc/dateutils/Manifest

@ -1,2 +1,2 @@
DIST dateutils-0.2.2.tar.xz 296024 SHA256 9ad956c7345da2c0aef76b2b9a8b513418407b5cc780237e8caf8bf7601a47d2 SHA512 507aaf67f15824efdf76fe9cd6259badd9f341b92b0631a5434dc7dc8400407894089de8160a956354b99965b1424e1cfcb98ebf5bc8f4b768d5c99942981bcd WHIRLPOOL 4e0e84a72a892adf9707ff90d26a3be375c827beeafa1abd99c325e7b25425e1b04c175bd7c2416252cbbbb614fefe319b95038ac3eead40a51ceba451f693fd
DIST dateutils-0.2.3.tar.xz 317220 SHA256 5404956c86e28a15efc211eaab2759699314915d1c2ac2226a380ab2d6c194d7 SHA512 6793b2ff8519b862b737585f497a000626d13ed9e6f9fcc35a0d86fce35ca30f41d22b1673df5f4b92dab44a2e7d4a1dd23fc4be89b426e2761c27bb7897b497 WHIRLPOOL 183084cba5524ac1f03c9dd41e08883abbe18de6327fb41671c376358053577558474f2b31f78259885e1ac128a6be30cde17a871a3b96aae0590c7bcf01a3a4
DIST dateutils-0.2.4.tar.xz 475160 SHA256 8695d012e2588fcb2705b037b07ab58ce3473f3789877013873f2f0d0ad30d82 SHA512 bf94a55cbfcac037c2aec4271a42f682faa3e7d78b81f3019402fb3b03e5c666ae42135af086ea054bf46a6a4a9efe3acaaac07442e0b14fc14d5afbca2f5714 WHIRLPOOL 1f5ea8e7b4a7e172607be491c13e8ccf958f1f58825a6cff21d047132306331c9781bac95edb5748dd90b3c4d3486ca7149f45597a01d67f20647636e942e349

9
app-misc/dateutils/dateutils-0.2.3.ebuild

@ -1,10 +1,10 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/dateutils/dateutils-0.2.3.ebuild,v 1.1 2012/09/15 03:44:09 radhermit Exp $
# $Header: /var/cvsroot/gentoo-x86/app-misc/dateutils/dateutils-0.2.3.ebuild,v 1.2 2013/03/04 07:43:13 radhermit Exp $
EAPI="4"
DESCRIPTION="Command line date and time utilities"
DESCRIPTION="command line date and time utilities"
HOMEPAGE="http://hroptatyr.github.com/dateutils/"
SRC_URI="mirror://github/hroptatyr/${PN}/${P}.tar.xz"
@ -16,6 +16,9 @@ IUSE=""
DEPEND="app-arch/xz-utils
sys-libs/timezone-data"
# bug 429810
RDEPEND="!sys-infiniband/dapl"
src_compile() {
emake CFLAGS="${CFLAGS}"
}

14
app-misc/dateutils/dateutils-0.2.2.ebuild → app-misc/dateutils/dateutils-0.2.4.ebuild

@ -1,21 +1,23 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/dateutils/dateutils-0.2.2.ebuild,v 1.1 2012/07/21 22:20:44 radhermit Exp $
# $Header: /var/cvsroot/gentoo-x86/app-misc/dateutils/dateutils-0.2.4.ebuild,v 1.1 2013/03/04 07:43:13 radhermit Exp $
EAPI="4"
EAPI=5
DESCRIPTION="Command line date and time utilities"
DESCRIPTION="command line date and time utilities"
HOMEPAGE="http://hroptatyr.github.com/dateutils/"
SRC_URI="mirror://github/hroptatyr/${PN}/${P}.tar.xz"
SRC_URI="https://bitbucket.org/hroptatyr/${PN}/downloads/${P}.tar.xz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="app-arch/xz-utils
sys-libs/timezone-data"
# bug 429810
RDEPEND="!sys-infiniband/dapl"
src_compile() {
emake CFLAGS="${CFLAGS}"
}

1
app-misc/pysmssend/Manifest

@ -1,2 +1 @@
DIST pysmssend-1.45.tar.gz 58109 SHA256 8feffbee31ac0a7820a0420e9fec56ef2b978d1c7845ff1e874a7151051353e0 SHA512 a0052afe0817e4f8ebeba9b59df61f06b26defb4f528c0b0ab71e9b76dd46c4c2196faf4884385770069391ec7f8ddb08394d2cab478464d536aed3c63f8a2ee WHIRLPOOL f32b6f43e788a621a9e83b20a173acceb9aa01aeef726af33a140881364533a16839bff4f64c72647889c13e5970266b65c603249540d98c5e6e6e4a0f44b11e
DIST pysmssend-1.48.tar.gz 58172 SHA256 8b8744eb0625d6f65632c56f58a304c5c9825d417d81f523024629ea611520ce SHA512 d1d08e11bb4a5f450a98e9bf6292ce65edb61e0610e085dd79dcb80fd8ce1d15f7350797a0150eb6ddcc0116c17e3290f2790632eb7f54ab66efdcf662022088 WHIRLPOOL 29d3a06ec73f3b667228aa4d3e8d710607fb313331c41470b7aeda4fcdb265ae31feed0714b3a75a110d289d03b87047d3600121c2e82dac0c7ed2cc288fdd1b

45
app-misc/pysmssend/pysmssend-1.45.ebuild

@ -1,45 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/pysmssend/pysmssend-1.45.ebuild,v 1.4 2011/03/05 22:49:52 arfrever Exp $
EAPI="3"
PYTHON_DEPEND="2:2.5"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="2.4 3.*"
inherit distutils eutils
DESCRIPTION="Python Application for sending sms over multiple ISPs"
HOMEPAGE="http://pysmssend.silverarrow.org/"
SRC_URI="http://pysmssend.silverarrow.org/files/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="qt4"
DEPEND=">dev-python/mechanize-0.1.7b
qt4? ( dev-python/PyQt4[X] )"
RDEPEND="${DEPEND}"
PYTHON_MODNAME="pysmssendmod"
src_prepare() {
python_convert_shebangs -r 2 .
}
src_install() {
distutils_src_install
if use qt4; then
insinto /usr/share/${PN}/Icons || die "insinto failed"
doins Icons/* || die "doins failed"
doicon Icons/pysmssend.png || die "doicon failed"
dobin pysmssend pysmssendcmd || die "failed to create executables"
make_desktop_entry pysmssend pySMSsend pysmssend \
"Applications;Network" || die "make_desktop_entry failed"
else
dobin pysmssendcmd || die "failed to create executable"
dosym pysmssendcmd /usr/bin/pysmssend || die "dosym failed"
fi
dodoc README AUTHORS TODO || die "dodoc failed"
}

6
app-text/xdvik/xdvik-22.84.16.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/xdvik/xdvik-22.84.16.ebuild,v 1.18 2012/10/24 19:01:38 ulm Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/xdvik/xdvik-22.84.16.ebuild,v 1.19 2013/03/03 23:09:17 vapier Exp $
EAPI=3
inherit eutils flag-o-matic elisp-common toolchain-funcs
@ -9,7 +9,7 @@ DESCRIPTION="DVI previewer for X Window System"
HOMEPAGE="http://xdvi.sourceforge.net/"
SRC_URI="mirror://sourceforge/xdvi/${P}.tar.gz"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sh sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
LICENSE="GPL-2"
IUSE="motif neXt Xaw3d emacs"

6
app-text/xdvik/xdvik-22.85-r1.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/xdvik/xdvik-22.85-r1.ebuild,v 1.7 2012/10/24 19:01:37 ulm Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/xdvik/xdvik-22.85-r1.ebuild,v 1.8 2013/03/03 23:09:17 vapier Exp $
EAPI=4
inherit eutils flag-o-matic elisp-common toolchain-funcs multilib
@ -9,7 +9,7 @@ DESCRIPTION="DVI previewer for X Window System"
HOMEPAGE="http://xdvi.sourceforge.net/"
SRC_URI="mirror://sourceforge/xdvi/${P}.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
LICENSE="GPL-2"
IUSE="motif neXt Xaw3d emacs"

6
dev-db/drizzle/drizzle-7.2.4.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/drizzle/drizzle-7.2.4.ebuild,v 1.2 2012/11/11 02:18:49 flameeyes Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-db/drizzle/drizzle-7.2.4.ebuild,v 1.3 2013/03/04 06:49:22 flameeyes Exp $
EAPI=5
@ -26,7 +26,7 @@ RDEPEND="tcmalloc? ( dev-util/google-perftools )
>=dev-libs/libevent-1.4
>=dev-libs/protobuf-2.1.0
dev-libs/libaio
>=dev-libs/boost-1.52.0-r1[threads]
>=dev-libs/boost-1.52.0-r1:=[threads]
gearman? ( >=sys-cluster/gearmand-0.12 )
pam? ( sys-libs/pam )
curl? ( net-misc/curl )

49
dev-db/unixODBC/unixODBC-2.3.1-r1.ebuild

@ -0,0 +1,49 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/unixODBC/unixODBC-2.3.1-r1.ebuild,v 1.1 2013/03/03 23:36:12 neurogeek Exp $
EAPI=4
inherit libtool
DESCRIPTION="A complete ODBC driver manager"
HOMEPAGE="http://www.unixodbc.org/"
SRC_URI="http://ftp.unixodbc.org/pub/${PN}/${P}.tar.gz"
LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="+minimal odbcmanual static-libs unicode"
RDEPEND=">=sys-devel/libtool-2.2.6b
>=sys-libs/readline-6.1
>=sys-libs/ncurses-5.7-r7
virtual/libiconv"
DEPEND="${RDEPEND}
sys-devel/flex"
DOCS="AUTHORS ChangeLog NEWS README"
src_prepare() {
elibtoolize
}
src_configure() {
# --enable-driver-conf is --enable-driverc as per configure.in
econf \
--sysconfdir="${EPREFIX}"/etc/${PN} \
--enable-iconv \
$(use_enable static-libs static) \
$(use_enable !minimal drivers) \
$(use_enable !minimal driverc) \
$(use_with unicode iconv-char-enc UTF8) \
$(use_with unicode iconv-ucode-enc UTF16LE)
}
src_install() {
default
use prefix && dodoc README*
use odbcmanual && dohtml -a css,gif,html,sql,vsd -r doc/*
find "${ED}" -name '*.la' -exec sed -i -e "/^dependency_libs/s:=.*:='':" {} +
}

4
dev-lang/ruby/ruby-1.8.7_p371.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ruby-1.8.7_p371.ebuild,v 1.1 2013/01/06 14:16:19 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ruby-1.8.7_p371.ebuild,v 1.2 2013/03/04 09:01:01 ago Exp $
EAPI=2
@ -30,7 +30,7 @@ SRC_URI="mirror://ruby/${SLOT}/${MY_P}.tar.bz2
http://dev.gentoo.org/~flameeyes/ruby-team/${PN}-patches-${PATCHSET}.tar.bz2"
LICENSE="|| ( Ruby GPL-2 )"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE="+berkdb debug doc examples +gdbm ipv6 rubytests socks5 ssl threads tk xemacs ncurses +readline libedit"
RDEPEND="

1
dev-libs/MicroJSON/metadata.xml

@ -11,6 +11,7 @@
<name>Tom Wijsman</name>
<description>Committer, please CC him.</description>
</maintainer>
<herd>proxy-maintainers</herd>
<longdescription>
Small and simple to use JSON generation and parsing library.
</longdescription>

1
dev-libs/UTF8Strings/metadata.xml

@ -11,6 +11,7 @@
<name>Tom Wijsman</name>
<description>Committer, please CC him.</description>
</maintainer>
<herd>proxy-maintainers</herd>
<longdescription>
C++ library that provides ability to work natively with UTF8 strings in a very simple way.
</longdescription>

4
dev-libs/libev/libev-4.11-r1.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libev/libev-4.11-r1.ebuild,v 1.7 2013/03/03 20:27:38 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libev/libev-4.11-r1.ebuild,v 1.9 2013/03/03 22:45:04 ago Exp $
EAPI=5
@ -15,7 +15,7 @@ SRC_URI="http://dist.schmorp.de/libev/${MY_P}.tar.gz
LICENSE="|| ( BSD GPL-2 )"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ppc ppc64 s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ppc ppc64 s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE="elibc_glibc static-libs"
# Bug #283558

6
dev-libs/libverto/libverto-0.2.5.ebuild

@ -1,8 +1,8 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libverto/libverto-0.2.5.ebuild,v 1.11 2013/03/03 20:27:26 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libverto/libverto-0.2.5.ebuild,v 1.14 2013/03/03 22:44:50 ago Exp $
EAPI=4
EAPI=5
DESCRIPTION="Main event loop abstraction library"
HOMEPAGE="https://fedorahosted.org/libverto/"
@ -10,7 +10,7 @@ SRC_URI="https://fedorahosted.org/releases/l/i/libverto/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="alpha amd64 arm ~hppa ia64 ppc ppc64 s390 x86 ~amd64-fbsd"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sparc x86 ~amd64-fbsd"
IUSE="glib +libev libevent tevent +threads static-libs"
# file collisions

37
dev-python/wxpython/files/wxpython-2.8.12-drop-categories.patch

@ -0,0 +1,37 @@
Fix QA issue wrt Bug 457586
diff -ur wxPython-src-2.8.12.1.orig/wxPython/distrib/PyAlaMode.desktop wxPython-src-2.8.12.1/wxPython/distrib/PyAlaMode.desktop
--- distrib/PyAlaMode.desktop 2007-07-19 06:33:55.000000000 +0800
+++ distrib/PyAlaMode.desktop 2013-03-04 13:48:51.737419595 +0800
@@ -5,4 +5,4 @@
Icon=PyCrust.png
Terminal=false
Type=Application
-Categories=Application;Development;
+Categories=Development;
diff -ur wxPython-src-2.8.12.1.orig/wxPython/distrib/PyCrust.desktop wxPython-src-2.8.12.1/wxPython/distrib/PyCrust.desktop
--- distrib/PyCrust.desktop 2007-07-19 06:33:55.000000000 +0800
+++ distrib/PyCrust.desktop 2013-03-04 13:49:12.209418445 +0800
@@ -5,4 +5,4 @@
Icon=PyCrust.png
Terminal=false
Type=Application
-Categories=Application;Development;
+Categories=Development;
diff -ur wxPython-src-2.8.12.1.orig/wxPython/distrib/PyShell.desktop wxPython-src-2.8.12.1/wxPython/distrib/PyShell.desktop
--- distrib/PyShell.desktop 2007-07-19 06:33:55.000000000 +0800
+++ distrib/PyShell.desktop 2013-03-04 13:49:28.713417518 +0800
@@ -5,4 +5,4 @@
Icon=PyCrust.png
Terminal=false
Type=Application
-Categories=Application;Development;
+Categories=Development;
diff -ur wxPython-src-2.8.12.1.orig/wxPython/distrib/XRCed.desktop wxPython-src-2.8.12.1/wxPython/distrib/XRCed.desktop
--- distrib/XRCed.desktop 2007-07-19 06:33:55.000000000 +0800
+++ distrib/XRCed.desktop 2013-03-04 13:49:46.345416526 +0800
@@ -5,4 +5,4 @@
Icon=XRCed.png
Terminal=false
Type=Application
-Categories=Application;Development;
+Categories=Development;

3
dev-python/wxpython/wxpython-2.8.12.1-r1.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/wxpython/wxpython-2.8.12.1-r1.ebuild,v 1.1 2013/02/06 10:46:39 mgorny Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/wxpython/wxpython-2.8.12.1-r1.ebuild,v 1.2 2013/03/04 06:15:37 idella4 Exp $
EAPI=5
@ -64,6 +64,7 @@ python_prepare_all() {
"${FILESDIR}"/${PN}-2.8.9-wxversion-scripts.patch
# drop editra - we have it as a separate package now
"${FILESDIR}"/${PN}-2.8.12-drop-editra.patch
"${FILESDIR}"/${PN}-2.8.12-drop-categories.patch
)
distutils-r1_python_prepare_all

4
dev-ruby/crack/crack-0.3.2.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/crack/crack-0.3.2.ebuild,v 1.1 2013/02/02 11:03:54 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/crack/crack-0.3.2.ebuild,v 1.2 2013/03/04 09:00:38 ago Exp $
EAPI="2"
@ -20,7 +20,7 @@ HOMEPAGE="https://github.com/jnunemaker/crack"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
KEYWORDS="amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_bdepend "test? ( dev-ruby/shoulda dev-ruby/matchy )"

1
dev-ruby/diff-lcs/Manifest

@ -1,2 +1,3 @@
DIST diff-lcs-1.1.2.tar.gz 27133 SHA256 30da8db91e31b9124a676b55bb22a30f4ff035913fd04850a74b8ffe1bce74fc SHA512 271dd824a64ce10f530bdf4762745990b7b94194b565f597301837396a3eaf1e303a378907738b83ef8d644650a7da86c7fdd9c1df0f75ee12b47f8a2db2dc49 WHIRLPOOL 07952ecffb21027480f5c6c33f9f59ad64b6548caafeebfebe5cc00fafbec05a0658d42fe77b04be6675b65a40ad761f366310524d732063f7013308a867897a
DIST diff-lcs-1.1.3.gem 41472 SHA256 fb8291deabeaacf9adbdcaf988db176ae461f833770ff2947191ead4ead09897 SHA512 672c59f8d14d8612e9fc60b55c69bcbc5c817a11e84da13b9b06e43a41ac9a87ae0c1ea095897bcb65aa92efa60b3f02a4ef75010980c2553f05546ac50e4a51 WHIRLPOOL cbb0dc7a07f39670e8f2e03bff29611c0d421e8c6c632e95de9e7d737d30a45562e3d786d0b7dea97cec796ccd1700a3db13c4d7927c82ca546853d101e96370
DIST diff-lcs-1.2.1.gem 46080 SHA256 925817b66ebd98a7f71c6e7ef9bbe79e64b96041ac48ce88e3382fa62f65db2f SHA512 913c73066f9d94b6b63557330d1671188517cd8e3ce52a805313f9bf16aeab394200b683c0c657cde06a687056310e684c60627bf1edb755d4b3de043404c9dd WHIRLPOOL 3fb930f68521d597d71774e7df8454e598a12f586162490b92512d30a2186d3da04972a5c5bbf05cca0836aace9f60c268b4f46ee2d2de4e039769e774a7b6f8

29
dev-ruby/diff-lcs/diff-lcs-1.2.1.ebuild

@ -0,0 +1,29 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/diff-lcs/diff-lcs-1.2.1.ebuild,v 1.1 2013/03/03 20:34:22 graaff Exp $
EAPI=5
USE_RUBY="ruby18 ree18 ruby19 jruby"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_TASK_DOC="docs"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="README.rdoc History.rdoc"
inherit ruby-fakegem
DESCRIPTION="Use the McIlroy-Hunt LCS algorithm to compute differences"
HOMEPAGE="https://github.com/halostatue/diff-lcs"
LICENSE="|| ( MIT Ruby GPL-2 )"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_bdepend "doc? ( >=dev-ruby/hoe-2.10 )"
all_ruby_prepare() {
# Remove unneeded rspec require to avoid rspec with USE=doc.
sed -i -e "/require 'rspec'/d" Rakefile || die
}

2
dev-ruby/fast_gettext/Manifest

@ -1,2 +1,2 @@
DIST fast_gettext-0.6.10.gem 84480 SHA256 c7b32b5f22ce588814e2f5cccf11a7fdc3315fe8078a15cbf3e7e8390c5493aa SHA512 f0be57c73dbe8062e59f5bd2ac478037f5ae7f2db04addbc351cb4bd312c303df62c3694776f5f404c759e32d0c6798e3b99b88c6b6de94f8cdd533fc21e77b8 WHIRLPOOL 00ac590cecce04fcb4d339c1dd2fa45c786bcd91baffac00b418a0c4282abede289ff67b117bc0b2afeb595204898bab41d5210629bc3086756f350615755070
DIST fast_gettext-0.6.12.gem 85504 SHA256 9c8e3077f05b42e642035424e5e55ed0bd95fef23217eab8325e110b2f8608ad SHA512 88a1da0cc935139cdf82e45e3d1ea7c8dc041ffa40d59535a81070f9d8ec8a102a8ccef49b802f226c25f4e3b8c5e641895b293e9df34cf1fcfe7aa61c8752cf WHIRLPOOL 29cde9a783c655a70461aac2d1d4740f5785e9d21ff3c8c6e78f72f1a83d736d6ea8efb60e40256cdc0d4e365c9bef8be2a961eadcb710444bfe65380f779936
DIST fast_gettext-0.7.0.gem 85504 SHA256 3c188799ce57a76df8d42f70d6a5e2f8822bdebca74ad289e655a7dd366c4abc SHA512 b049fba9ea0d1c71889b3c4eb24e9d1510720fdd0b5e54cf665de57af85c0093c55908f24a71eca7b6a97d3f689ddabc7b502f83d6c4fac6659b3ce93675a3cf WHIRLPOOL 73c4a71510cc1bca77ba2804e524ffd2e5a9bd2caa1704f30486d88a75cfdcd2016f637ba653b20337997d744c0d2bd1bac7002001453f691be558da3c373159

10
dev-ruby/fast_gettext/fast_gettext-0.6.10.ebuild → dev-ruby/fast_gettext/fast_gettext-0.7.0.ebuild

@ -1,8 +1,8 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fast_gettext/fast_gettext-0.6.10.ebuild,v 1.1 2012/10/05 10:03:43 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fast_gettext/fast_gettext-0.7.0.ebuild,v 1.1 2013/03/03 20:41:47 graaff Exp $
EAPI="4"
EAPI=5
# jruby support requires sqlite3 support for jruby.
USE_RUBY="ruby18 ruby19 ree18"
@ -27,8 +27,8 @@ ruby_add_bdepend "test? ( dev-ruby/activerecord dev-ruby/bundler )"
all_ruby_prepare() {
rm Gemfile.lock || die
# Remove jeweler from Gemfile since it is not needed for tests.
sed -i '/jeweler/d' Gemfile || die
# Remove jeweler and bump from Gemfile since they are not needed for tests.
sed -i -e '/jeweler/d' -e '/bump/d' -e '/appraisal/d' Gemfile || die
# Avoid unneeded dependency on git.
sed -i -e '/git ls-files/ s:^:#:' fast_gettext.gemspec || die

1
dev-ruby/fcgi/Manifest

@ -1 +1,2 @@
DIST fcgi-0.8.8.gem 13312 SHA256 7e6b5850d6c7b3c22777f3006467e28daaaa8cbb134e36d36d98c740f8d64d03 SHA512 d46a36cd564e87e3c9fbfce08f5e8d8820a0d67681450daa0c44988063a318c5198f1fcdc24b36fc93776e5073d96696fb3385133f55205c159c913980561afd WHIRLPOOL 2de26b537f52269a2e333774aa81a1bd459f0e0ccce65930c2fecc12cebea2611af3bb7793dc89704028bcc2e161e9375086ba4376cd95a96593399657c49908
DIST fcgi-0.9.1.gem 14336 SHA256 7f04153a6875097b7fe387189929c19df5717ad970eea9bc1cd5bf1c7083192f SHA512 1c6b9450ebc3299af0b9e539a79d64685f2a7ef5adeedf6aa0d09b73f73f00f8e8371004ac0a1b04a69520fea0b73924c1cc9a83fadc734612b2eed662959f6d WHIRLPOOL 017ccca3eaece89e89b85c3d7f4ddd50f469bf9bdebb4712f680bdf9ed804d0dfa6d5506c04f412775e2945b40d626ff171d52781f1e0990c3d67b650dcdd437

42
dev-ruby/fcgi/fcgi-0.9.1.ebuild

@ -0,0 +1,42 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fcgi/fcgi-0.9.1.ebuild,v 1.1 2013/03/04 06:52:43 graaff Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ree18 jruby"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README.rdoc README.signals"
inherit multilib ruby-fakegem
DESCRIPTION="FastCGI library for Ruby"
HOMEPAGE="http://github.com/alphallc/ruby-fcgi-ng"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
LICENSE="Ruby"
DEPEND+=" dev-libs/fcgi"
RDEPEND+=" dev-libs/fcgi"
IUSE=""
SLOT="0"
each_ruby_configure() {
case ${RUBY} in
*ruby18|*rubyee18|*ruby19)
${RUBY} -C ext/fcgi extconf.rb || die "extconf failed"
;;
esac
}
each_ruby_compile() {
case ${RUBY} in
*ruby18|*rubyee18|*ruby19)
emake -C ext/fcgi
cp ext/fcgi/fcgi$(get_modname) lib || die
;;
esac
}

4
dev-tcltk/tcllib/tcllib-1.15.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-tcltk/tcllib/tcllib-1.15.ebuild,v 1.2 2013/03/02 17:49:01 jlec Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-tcltk/tcllib/tcllib-1.15.ebuild,v 1.3 2013/03/04 08:02:39 jlec Exp $
EAPI=5
@ -32,7 +32,7 @@ src_test() {
src_install() {
default
rm "${ED}"/usr/share/man/mann/{try,string,variable,zlib}.n || die
rm "${ED}"/usr/share/man/mann/{string,variable,zlib}.n || die
dodoc devdoc/*.txt

1
dev-util/android-sdk-update-manager/Manifest

@ -1 +1,2 @@
DIST android-sdk_r21-linux.tgz 91378351 SHA256 ad3e642626407b78d0fafe7ff89d1ee388b1f5c6f2eba83ce9364957a038ab9d SHA512 3a3338265a2d00f8b7fbb35783d7449498afd8107ddd4ed4c2c34e47582d83eb23f78d02fe01db54c12c48dba0167f60118c1061f1bfeb0048147674fee8d87c WHIRLPOOL feeb9d060a460ec2738a612ae90689791edf54deabcb1b1c37ddec22fb8bfaa13fc4dd53aecfbd5ac70309ce299a88ed84080ef7a2e1a14a6959d4ecf21fbfc9
DIST android-sdk_r21.1-linux.tgz 91617112 SHA256 276e3c13a10f37927d4e04d036a94a0cbbf62326981f0ba61a303b76567e3379 SHA512 160cd51f965a23120cf63abe02b9a9ce8913d1239a848bc423b33ad10eff65b30147c6b11ab751aa12154292ce0a7837aa60def1cd31a2ccb5d4fc6fcb6d2c24 WHIRLPOOL a4f413356ac87d4753f8d33bddad737cadf41b2d8246f8971addbec568261212505bef4be3c098c8e21e148960a90b87c2c6952665d1845e0aeee9a307c06b44

100
dev-util/android-sdk-update-manager/android-sdk-update-manager-21.1.ebuild

@ -0,0 +1,100 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/android-sdk-update-manager/android-sdk-update-manager-21.1.ebuild,v 1.1 2013/03/03 21:41:23 rich0 Exp $
EAPI="3"
inherit eutils user
MY_P="android-sdk_r${PV}-linux"
DESCRIPTION="Open Handset Alliance's Android SDK"
HOMEPAGE="http://developer.android.com"
SRC_URI="http://dl.google.com/android/${MY_P}.tgz"
IUSE=""
RESTRICT="mirror"
LICENSE="android"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DEPEND="app-arch/tar
app-arch/gzip"
RDEPEND=">=virtual/jdk-1.5
>=dev-java/ant-core-1.6.5
>=dev-java/swt-3.5[cairo]
amd64? ( app-emulation/emul-linux-x86-gtklibs )
x86? ( x11-libs/gtk+:2 )"
ANDROID_SDK_DIR="/opt/${PN}"
QA_FLAGS_IGNORED_x86="
${ANDROID_SDK_DIR/\/}/tools/emulator
${ANDROID_SDK_DIR/\/}/tools/adb
${ANDROID_SDK_DIR/\/}/tools/mksdcard
${ANDROID_SDK_DIR/\/}/tools/sqlite3
${ANDROID_SDK_DIR/\/}/tools/hprof-conv
${ANDROID_SDK_DIR/\/}/tools/zipalign
${ANDROID_SDK_DIR/\/}/tools/dmtracedump
"
QA_FLAGS_IGNORED_amd64="${QA_FLAGS_IGNORED_x86}"
QA_PREBUILT="${ANDROID_SDK_DIR/\/}/tools/*"
S="${WORKDIR}/android-sdk-linux"
pkg_setup() {
enewgroup android
}
src_prepare(){
rm -rf tools/lib/x86*
}
src_install(){
dodoc tools/NOTICE.txt "SDK Readme.txt" || die
rm -f tools/NOTICE.txt "SDK Readme.txt"
dodir "${ANDROID_SDK_DIR}/tools"
cp -pPR tools/* "${ED}${ANDROID_SDK_DIR}/tools" || die "failed to install tools"
# Maybe this is needed for the tools directory too.
dodir "${ANDROID_SDK_DIR}"/{add-ons,docs,platforms,temp} || die "failed to dodir"
fowners root:android "${ANDROID_SDK_DIR}"/{,add-ons,docs,platforms,temp,tools} || die
fperms 0775 "${ANDROID_SDK_DIR}"/{,add-ons,docs,platforms,temp,tools} || die
echo "PATH=\"${EPREFIX}${ANDROID_SDK_DIR}/tools:${EPREFIX}${ANDROID_SDK_DIR}/platform-tools\"" > "${T}/80${PN}" || die
SWT_PATH=
SWT_VERSIONS="4.2 3.7 3.6 3.5"
for version in $SWT_VERSIONS; do
# redirecting stderr to /dev/null
# not sure if this is best, but avoids misleading error messages
SWT_PATH="`dirname \`java-config -p swt-\$version 2>/dev/null\` 2>/dev/null`"
if [ $SWT_PATH ]; then
einfo "SWT_PATH=$SWT_PATH selecting version $version of SWT."
break
fi
done
echo "ANDROID_SWT=\"${SWT_PATH}\"" >> "${T}/80${PN}" || die
doenvd "${T}/80${PN}" || die
echo "SEARCH_DIRS_MASK=\"${EPREFIX}${ANDROID_SDK_DIR}\"" > "${T}/80${PN}" || die
insinto "/etc/revdep-rebuild" && doins "${T}/80${PN}" || die
}
pkg_postinst() {
elog "The Android SDK now uses its own manager for the development environment."
elog "Run 'android' to download the full SDK, including some of the platform tools."
elog "You must be in the android group to manage the development environment."
elog "Just run 'gpasswd -a <USER> android', then have <USER> re-login."
elog "See http://developer.android.com/sdk/adding-components.html for more"
elog "information."
elog "If you have problems downloading the SDK, see http://code.google.com/p/android/issues/detail?id=4406"
elog "You need to run env-update and source /etc/profile in any open shells"
elog "if you get an SWT error."
}

1
dev-util/codeblocks/Manifest

@ -1 +1,2 @@
DIST codeblocks-10.05-src.tar.bz2 7271651 SHA256 5143e2ffb3a6780ad3524046a32896bf5430276f3ba636d235c3d09774fa7fc2 SHA512 2f8f34ec7d53d032ade019db7dd543cd4c3790c437db2d9b3f6cd0a6ba3b8850f1c7bb330ef5df33f7fb049eaad51bbc79d0352c007459b12a753e025bf52b2f WHIRLPOOL 085098f4229c48d7f177cf43f380ff7125c9bf82ff42ad9be8916241ef4f4531896fc144d8501ab25e76f530de45dcbf507ee068a9c723f343858053db08bb2a
DIST codeblocks_12.11-1.tar.gz 12251781 SHA256 af57635b97aa6ea52ba120c5fac2d847c2638d53e6bdb3fdd1561b7fa7ae6ed9 SHA512 bd0faf3965b7f3e46ee77d2b548691b1195301b6d21fc31c70a9b6779f6c964cafedb70cf8974233858d5b280bf0cfc55851187dbe55fe778c23a9e440fd2e61 WHIRLPOOL a56bb1a4311f1a66abb77c5eb7a26b783049386f2c4a7c70313cc4eb9cc77db291bfc1c2ed4722912a405e4b99adb48453893c83c7103dcf67e4c234ce6a10a1

32
dev-util/codeblocks/codeblocks-10.05.ebuild → dev-util/codeblocks/codeblocks-12.11.ebuild

@ -1,33 +1,34 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/codeblocks/codeblocks-10.05.ebuild,v 1.3 2012/04/30 20:27:26 scarabeus Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-util/codeblocks/codeblocks-12.11.ebuild,v 1.1 2013/03/04 04:57:48 dirtyepic Exp $
EAPI="4"
EAPI="5"
WX_GTK_VER="2.8"
inherit wxwidgets flag-o-matic
inherit eutils wxwidgets
DESCRIPTION="The open source, cross platform, free C++ IDE."
HOMEPAGE="http://www.codeblocks.org/"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
SRC_URI="mirror://berlios/codeblocks/${P}-src.tar.bz2"
SRC_URI="mirror://berlios/codeblocks/${P/-/_}-1.tar.gz"
IUSE="contrib debug pch static-libs"
RDEPEND="x11-libs/wxGTK:2.8[X]"
RDEPEND="app-arch/zip
x11-libs/wxGTK:2.8[X]
contrib? (
app-text/hunspell
dev-libs/boost
dev-libs/libgamin
)"
DEPEND="${RDEPEND}
app-arch/zip"
virtual/pkgconfig"
S=${WORKDIR}/${P}-release
S="${WORKDIR}/${P}release8629"
src_configure() {
# C::B is picky on CXXFLAG -fomit-frame-pointer
# (project-wizard crash, instability ...)
filter-flags -fomit-frame-pointer
append-flags -fno-strict-aliasing
econf \
--with-wx-config="${WX_CONFIG}" \
$(use_enable debug) \
@ -35,3 +36,8 @@ src_configure() {
$(use_enable static-libs static) \
$(use_with contrib contrib-plugins all)
}
src_install() {
default
prune_libtool_files
}

31
dev-util/codeblocks/codeblocks-9999.ebuild

@ -1,29 +1,33 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/codeblocks/codeblocks-9999.ebuild,v 1.4 2012/11/02 06:03:31 dirtyepic Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-util/codeblocks/codeblocks-9999.ebuild,v 1.5 2013/03/04 04:57:48 dirtyepic Exp $
EAPI="4"
EAPI="5"
WX_GTK_VER="2.8"
inherit autotools eutils flag-o-matic subversion wxwidgets
inherit autotools eutils subversion wxwidgets
DESCRIPTION="The open source, cross platform, free C++ IDE."
HOMEPAGE="http://www.codeblocks.org/"
ESVN_REPO_URI="svn://svn.berlios.de/${PN}/trunk"
SRC_URI=""
LICENSE="GPL-3"
SLOT="0"
KEYWORDS=""
SRC_URI=""
ESVN_REPO_URI="svn://svn.berlios.de/${PN}/trunk"
IUSE="contrib debug pch static-libs"
RDEPEND="x11-libs/wxGTK:2.8[X]"
RDEPEND="app-arch/zip
x11-libs/wxGTK:2.8[X]
contrib? (
app-text/hunspell
dev-libs/boost
dev-libs/libgamin
)"
DEPEND="${RDEPEND}
app-arch/zip
dev-libs/libgamin
sys-devel/libtool:2
virtual/pkgconfig"
src_unpack(){
src_unpack() {
subversion_src_unpack
}
@ -37,11 +41,6 @@ src_prepare() {
}
src_configure() {
# C::B is picky on CXXFLAG -fomit-frame-pointer
# (project-wizard crash, instability ...)
filter-flags -fomit-frame-pointer
append-flags -fno-strict-aliasing
econf \
--with-wx-config="${WX_CONFIG}" \
$(use_enable debug) \

4
dev-util/gource/gource-0.39.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/gource/gource-0.39.ebuild,v 1.1 2013/02/04 15:42:42 flameeyes Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-util/gource/gource-0.39.ebuild,v 1.2 2013/03/04 07:07:14 flameeyes Exp $
EAPI=5
@ -20,7 +20,7 @@ KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="
>=dev-libs/boost-1.46[threads(+)]
>=dev-libs/boost-1.46:=[threads(+)]
>=media-libs/glew-1.5
>=media-libs/libpng-1.2
>=media-libs/libsdl-1.2.10[video,opengl,X]

1
dev-util/perf/Manifest

@ -1,2 +1,3 @@
DIST linux-3.2.tar.bz2 78147838 SHA256 c881fc2b53cf0da7ca4538aa44623a7de043a41f76fd5d0f51a31f6ed699d463 SHA512 1f57b98e8da34b10f37ce94e0f13a994c111d483b104c27a8f58a4a55013a73a9f1ffcebb597be63ce0dfadb92201e93b0e072ba49bac0033026aceb0840c812 WHIRLPOOL 3dc893bde09f064e4614183964a4b9feaab938ca7a739f46f825818a577884eae815f195b52a4c55c571345de59d7ba09631fb68dac481a0837b24868ce60e3d
DIST linux-3.4.tar.bz2 80173484 SHA256 a797a15d0b6228381507c14ecf4eec4a6cc5c77cfd521ba3b3e1325e85b5b16d SHA512 597002fa82b70b5052f9e05c1d8547bc5f89d8e1aecfd1765f4033f6d2c5c02d51b6372dbeef12c2eb070ae318a04c39925050cb37a39399961c8b263479fca1 WHIRLPOOL 57e6dd7094db2bc41175d7bb551e8237ea96eacf3710a734e8413915c54304e84ca11455e41c7752882ce81048459555d44d1798bf0775b79c3d74b13aa3a9f2
DIST linux-3.8.tar.bz2 84623657 SHA256 fce774b5313e73949cb35f128e91e7b2ccd7fa2438abc5cff69267e504395a45 SHA512 966a3b08aecc4b135a48ea73ba3326e1710c455e6da29693479e9d1a56663fc10f569e2342fa861486d39d4ea5c2af406d1bd40613c15555acffdba160ef7ba9 WHIRLPOOL a83baa904c78f71fed5e4cf2607b8e6d1db70a4137b5c00b3cc5f60f04042724faa3cfec36a781417d483548ba0c811f559e82146806edacd1c2fe90bd398e64

164
dev-util/perf/perf-3.8.ebuild

@ -0,0 +1,164 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/perf/perf-3.8.ebuild,v 1.1 2013/03/04 08:08:14 naota Exp $
EAPI="4"
PYTHON_DEPEND="python? 2"
inherit versionator eutils toolchain-funcs python linux-info
MY_PV="${PV/_/-}"
MY_PV="${MY_PV/-pre/-git}"
DESCRIPTION="Userland tools for Linux Performance Counters"
HOMEPAGE="http://perf.wiki.kernel.org/"
LINUX_V=$(get_version_component_range 1-2)
if [[ ${PV/_rc} != ${PV} ]] ; then
LINUX_VER=$(get_version_component_range 1-2).$(($(get_version_component_range 3)-1))
PATCH_VERSION=$(get_version_component_range 1-3)
LINUX_PATCH=patch-${PV//_/-}.bz2
SRC_URI="mirror://kernel/linux/kernel/v${LINUX_V}/testing/${LINUX_PATCH}
mirror://kernel/linux/kernel/v${LINUX_V}/testing/v${PATCH_VERSION}/${LINUX_PATCH}"
elif [[ $(get_version_component_count) == 4 ]] ; then
# stable-release series
LINUX_VER=$(get_version_component_range 1-3)
LINUX_PATCH=patch-${PV}.bz2
SRC_URI="mirror://kernel/linux/kernel/v${LINUX_V}/${LINUX_PATCH}"
else
LINUX_VER=${PV}
SRC_URI=""
fi
LINUX_SOURCES="linux-${LINUX_VER}.tar.bz2"
SRC_URI+=" mirror://kernel/linux/kernel/v${LINUX_V}/${LINUX_SOURCES}"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="+demangle +doc perl python slang"
RDEPEND="demangle? ( sys-devel/binutils )
perl? ( || ( >=dev-lang/perl-5.10 sys-devel/libperl ) )
slang? ( dev-libs/newt )
dev-libs/elfutils"
DEPEND="${RDEPEND}
${LINUX_PATCH+dev-util/patchutils}
sys-devel/bison
sys-devel/flex
doc? (
app-text/asciidoc
app-text/sgml-common
app-text/xmlto
sys-process/time )"
S_K="${WORKDIR}/linux-${LINUX_VER}"
S="${S_K}/tools/perf"
CONFIG_CHECK="~PERF_EVENTS ~KALLSYMS"
pkg_setup() {
use python && python_set_active_version 2
}
src_unpack() {
local paths=( tools/perf tools/scripts tools/lib include lib "arch/*/include" "arch/*/lib" )
# We expect the tar implementation to support the -j option (both
# GNU tar and libarchive's tar support that).
echo ">>> Unpacking ${LINUX_SOURCES} (${paths[*]}) to ${PWD}"
tar --wildcards -xpf "${DISTDIR}"/${LINUX_SOURCES} \
"${paths[@]/#/linux-${LINUX_VER}/}" || die
if [[ -n ${LINUX_PATCH} ]] ; then
eshopts_push -o noglob
ebegin "Filtering partial source patch"
filterdiff -p1 ${paths[@]/#/-i } -z "${DISTDIR}"/${LINUX_PATCH} > ${P}.patch || die
eend $? || die "filterdiff failed"
eshopts_pop
fi
local a
for a in ${A}; do
[[ ${a} == ${LINUX_SOURCES} ]] && continue
[[ ${a} == ${LINUX_PATCH} ]] && continue
unpack ${a}
done
}
src_prepare() {
if [[ -n ${LINUX_PATCH} ]] ; then
cd "${S_K}"
epatch "${WORKDIR}"/${P}.patch
fi
# Drop some upstream too-developer-oriented flags and fix the
# Makefile in general
sed -i \
-e 's:-Werror::' \
-e 's:-ggdb3::' \
-e 's:-fstack-protector-all::' \
-e 's:^LDFLAGS =:EXTLIBS +=:' \
-e '/\(PERL\|PYTHON\)_EMBED_LDOPTS/s:ALL_LDFLAGS +=:EXTLIBS +=:' \
-e '/-x c - /s:\$(ALL_LDFLAGS):\0 $(EXTLIBS):' \
-e '/^ALL_CFLAGS =/s:$: $(CFLAGS_OPTIMIZE):' \
-e '/^ALL_LDFLAGS =/s:$: $(LDFLAGS_OPTIMIZE):' \
-e '/.FORCE-PERF-VERSION-FILE/s,.FORCE-PERF-VERSION-FILE,,g' \
"${S}"/Makefile
# Avoid the call to make kernelversion
echo "PERF_VERSION = ${MY_PV}" > PERF-VERSION-FILE
# The code likes to compile local assembly files which lack ELF markings.
find -name '*.S' -exec sed -i '$a.section .note.GNU-stack,"",%progbits' {} +
}
puse() { usex $1 "" no; }
perf_make() {
emake V=1 \
CC="$(tc-getCC)" AR="$(tc-getAR)" \
prefix="/usr" bindir_relative="sbin" \
CFLAGS_OPTIMIZE="${CFLAGS}" \
LDFLAGS_OPTIMIZE="${LDFLAGS}" \
ARCH="$(tc-arch-kernel)" \
NO_DEMANGLE=$(puse demangle) \
NO_LIBPERL=$(puse perl) \
NO_LIBPYTHON=$(puse python) \
NO_NEWT=$(puse slang) \
"$@"
}
src_compile() {
perf_make
if use doc ; then
pushd Documentation
emake ${makeargs}
popd
fi
}
src_test() {
:
}
src_install() {
perf_make install DESTDIR="${D}"
dodoc CREDITS
dodoc *txt Documentation/*.txt
if use doc ; then
dohtml Documentation/*.html
doman Documentation/*.1
fi
}
pkg_postinst() {
if ! use doc ; then
elog "Without the doc USE flag you won't get any documentation nor man pages."
elog "And without man pages, you won't get any --help output for perf and its"
elog "sub-tools."
fi
}

12
media-gfx/blender/metadata.xml

@ -8,10 +8,6 @@
<name>Luca Barbato</name>
</maintainer>
<maintainer>
<email>flameeyes@gentoo.org</email>
</maintainer>
<longdescription>
Blender, the open source software for 3D modeling, animation,
rendering, post-production, interactive creation and playback.
@ -22,10 +18,7 @@
Adds support for space navigator devices through package
<pkg>dev-libs/libspnav</pkg>.
</flag>
<flag name='blender-game' restrict='&lt;media-gfx/blender-2.50'>
Adds Game Engine support to Blender.
</flag>
<flag name='game-engine' restrict='&gt;=media-gfx/blender-2.50'>
<flag name='game-engine'>
Adds Game Engine support to Blender.
</flag>
<flag name='collada'>
@ -36,9 +29,6 @@
Build cycles renderer (requires <pkg>media-libs/openimageio</pkg> and
<pkg>dev-libs/boost</pkg>).
</flag>
<flag name='verse'>
Adds verse clustering features to Blender.
</flag>
<flag name='dds'>
Adds DDS textures support to Blender.
</flag>

2
media-gfx/xfig/Manifest

@ -1 +1 @@
DIST xfig.3.2.5b.full.tar.gz 5821049 SHA256 5c01cf6d79f4de04e3d9efc9f3e4ea046e880d6610f210c8551bb0a713e985c2
DIST xfig.3.2.5b.full.tar.gz 5821049 SHA256 5c01cf6d79f4de04e3d9efc9f3e4ea046e880d6610f210c8551bb0a713e985c2 SHA512 f31243e6d7c676f2329844097f6b97c4a22e65824a6c17efec743f0197406a6f2f5b1ae3cac2e97f99f9a7c364a6e4569624dfaee3d93c2d6212573aedcfb87c WHIRLPOOL b03d34874533fc354a9205b705ef39fbe0811e9e0f7e7d61fc01f96a5b6b8707a310cfd4176eee59b7c3acf649e657206a92a74981feba8be804aa9a7807aee6

22
media-gfx/xfig/files/xfig-3.2.5b-darwin.patch

@ -0,0 +1,22 @@
--- fig.h
+++ fig.h
@@ -374,7 +374,7 @@
extern long random();
extern void srandom(unsigned int);
-#elif !defined(__osf__) && !defined(__CYGWIN__) && !defined(linux) && !defined(__FreeBSD__) && !defined(__GLIBC__)
+#elif !defined(__osf__) && !defined(__CYGWIN__) && !defined(linux) && !defined(__FreeBSD__) && !defined(__DARWIN__) && !defined(__GLIBC__)
extern void srandom(int);
#endif
--- w_keyboard.c
+++ w_keyboard.c
@@ -41,7 +41,7 @@
#define REG_NOERROR REG_OKAY
#endif
-#if defined(__FreeBSD__) && !defined(REG_NOERROR)
+#if (defined(__FreeBSD__) || defined(__DARWIN__)) && !defined(REG_NOERROR)
#define REG_NOERROR 0
#endif

332
media-gfx/xfig/files/xfig-3.2.5b-edit-menu.patch

@ -0,0 +1,332 @@
diff -Naur /var/tmp/portage/media-gfx/xfig-3.2.5b-r2/work/xfig.3.2.5b/Imakefile /root/xfig.3.2.5b/Imakefile
--- /var/tmp/portage/media-gfx/xfig-3.2.5b-r2/work/xfig.3.2.5b/Imakefile 2012-04-20 09:46:26.217957716 +0200
+++ /root/xfig.3.2.5b/Imakefile 2012-04-20 09:16:28.744362135 +0200
@@ -251,7 +251,7 @@
#endif /* USEJPEG */
#ifdef I18N
-I18N_DEFS = -DI18N -DSETLOCALE
+I18N_DEFS = -DI18N -DSETLOCALE -DXAW_INTERNATIONALIZATION
I18N_SRC = w_i18n.c
I18N_OBJ = w_i18n.o
#endif
diff -Naur /var/tmp/portage/media-gfx/xfig-3.2.5b-r2/work/xfig.3.2.5b/e_edit.c /root/xfig.3.2.5b/e_edit.c
--- /var/tmp/portage/media-gfx/xfig-3.2.5b-r2/work/xfig.3.2.5b/e_edit.c 2007-04-04 18:18:32.000000000 +0200
+++ /root/xfig.3.2.5b/e_edit.c 2012-04-20 10:02:04.209542848 +0200
@@ -3211,7 +3211,7 @@
XtAddCallback(but1, XtNcallback,
(XtCallbackProc) grab_button, (XtPointer) NULL);
- if ( cur_image_editor != NULL && *cur_image_editor != (char) NULL) {
+ if ( cur_image_editor != NULL && *cur_image_editor != '\0' ) {
FirstArg(XtNlabel,"Edit Image");
NextArg(XtNfromHoriz, but1);
NextArg(XtNfromVert, label);
@@ -3501,7 +3501,7 @@
{
Widget but_spline[3];
Dimension label_height, label_width;
- int i, dist;
+ int i, dist;
static char use_item[]="Edit the behavior\nof the control point";
@@ -3598,7 +3598,7 @@
below = but_spline[i] = XtCreateManagedWidget(sfactor_type[i].label,
commandWidgetClass, form, Args, ArgCount);
XtAddCallback(but_spline[i], XtNcallback,
- (XtCallbackProc) toggle_sfactor_type, (XtPointer) i);
+ (XtCallbackProc) toggle_sfactor_type, (XtPointer) (intptr_t) i);
XtSetArg(Args[0], XtNfromVert, below); /* here are the direct */
XtSetArg(Args[1], XtNvertDistance, 3 * dist); /* accesses to Args */
}
@@ -3608,7 +3608,7 @@
static void
toggle_sfactor_type(Widget panel_local, XtPointer _sfactor_index, XtPointer call_data)
{
- int sfactor_index = (int) _sfactor_index;
+ int sfactor_index = (int) (intptr_t) _sfactor_index;
update_sfactor_value(sfactor_type[sfactor_index].value);
XawScrollbarSetThumb(sfactor_bar,
@@ -3629,10 +3629,10 @@
static void
scroll_sfactor_value(Widget panel_local, XtPointer closure, XtPointer _num_pixels)
{
- int *num_pixels = (int *) _num_pixels;
+ int num_pixels = (int) (intptr_t) _num_pixels;
update_sfactor_value(sub_sfactor->s +
- (STEP_VALUE * SFACTOR_SIGN((int) num_pixels)));
+ (STEP_VALUE * SFACTOR_SIGN(num_pixels)));
XawScrollbarSetThumb(panel_local, SFACTOR_TO_PERCENTAGE(sub_sfactor->s),
THUMB_H);
}
@@ -4031,7 +4031,6 @@
Widget
color_selection_panel(char *label, char *wname, char *name, Widget parent, Widget below, Widget beside, Widget *button, Widget *popup, int color, XtCallbackProc callback)
{
-
FirstArg(XtNfromVert, below);
NextArg(XtNborderWidth, 0);
NextArg(XtNtop, XtChainBottom);
@@ -4057,7 +4056,7 @@
* callback
*/
/* also set the label */
- (callback)(below, (XtPointer) color, NULL);
+ (callback)(below, (XtPointer) (intptr_t) color, NULL);
*popup = make_color_popup_menu(below, name, callback, NO_TRANSP, NO_BACKG);
return *button;
@@ -4658,7 +4657,7 @@
int ival;
double val;
- new_points_units = (int) new_unit;
+ new_points_units = (int) (intptr_t) new_unit;
if (points_units == new_points_units)
return;
@@ -4739,7 +4738,7 @@
FirstArg(XtNlabel, XtName(w));
SetValues(arc_type_panel);
- generic_vals.arc_type = (int) new_style;
+ generic_vals.arc_type = (int) (intptr_t) new_style;
/* if now a pie-wedge type, make the arrow panels insensitive */
if (generic_vals.arc_type == T_PIE_WEDGE_ARC) {
/* unmanage arrow forms */
@@ -4865,7 +4864,7 @@
static void
pen_color_select(Widget w, XtPointer new_color, XtPointer call_data)
{
- pen_color = (Color) new_color;
+ pen_color = (Color) (intptr_t) new_color;
color_select(pen_col_button, pen_color);
if (pen_color_popup) {
XtPopdown(pen_color_popup);
@@ -4875,7 +4874,7 @@
static void
fill_color_select(Widget w, XtPointer new_color, XtPointer call_data)
{
- fill_color = (Color) new_color;
+ fill_color = (Color) (intptr_t) new_color;
color_select(fill_col_button, fill_color);
if (fill_color_popup) {
XtPopdown(fill_color_popup);
@@ -4927,7 +4926,7 @@
{
FirstArg(XtNlabel, XtName(w));
SetValues(hidden_text_panel);
- hidden_text_flag = (int) new_hidden_text;
+ hidden_text_flag = (int) (intptr_t) new_hidden_text;
}
static void
@@ -4935,7 +4934,7 @@
{
FirstArg(XtNlabel, XtName(w));
SetValues(rigid_text_panel);
- rigid_text_flag = (int) new_rigid_text;
+ rigid_text_flag = (int) (intptr_t) new_rigid_text;
}
static void
@@ -4943,7 +4942,7 @@
{
FirstArg(XtNlabel, XtName(w));
SetValues(special_text_panel);
- special_text_flag = (int) new_special_text;
+ special_text_flag = (int) (intptr_t) new_special_text;
}
static void
@@ -4951,7 +4950,7 @@
{
FirstArg(XtNlabel, XtName(w));
SetValues(textjust_panel);
- textjust = (int) new_textjust;
+ textjust = (int) (intptr_t) new_textjust;
}
static void
@@ -4963,7 +4962,7 @@
FirstArg(XtNlabel, XtName(w));
SetValues(flip_pic_panel);
- flip_pic_flag = (int) new_flipflag;
+ flip_pic_flag = (int) (intptr_t) new_flipflag;
p1.x = panel_get_dim_value(x1_panel);
p1.y = panel_get_dim_value(y1_panel);
p2.x = panel_get_dim_value(x2_panel);
@@ -4996,7 +4995,7 @@
FirstArg(XtNlabel, XtName(w));
SetValues(rotation_panel);
/* get new rotation (0 = 0 degrees, 1 = 90, 2 = 180, 3 = 270) */
- rotation = (int) new_rotation;
+ rotation = (int) (intptr_t) new_rotation;
/* get the two opposite corners */
p1.x = panel_get_dim_value(x1_panel);
@@ -5104,7 +5103,7 @@
FirstArg(XtNlabel, XtName(w));
SetValues(fill_style_button);
- fill_flag = (int) new_fillflag;
+ fill_flag = (int) (intptr_t) new_fillflag;
if (fill_flag == 0) {
/* no fill; blank out fill density value and pattern */
diff -Naur /var/tmp/portage/media-gfx/xfig-3.2.5b-r2/work/xfig.3.2.5b/u_draw.c /root/xfig.3.2.5b/u_draw.c
--- /var/tmp/portage/media-gfx/xfig-3.2.5b-r2/work/xfig.3.2.5b/u_draw.c 2007-04-04 18:18:32.000000000 +0200
+++ /root/xfig.3.2.5b/u_draw.c 2012-04-20 09:20:31.379714332 +0200
@@ -603,7 +603,7 @@
/* is it a picture object or a Fig figure? */
if (line->type == T_PICTURE) {
if (line->pic->pic_cache) {
- if ((line->pic->pic_cache->bitmap != (Pixmap) NULL) && active_layer(line->depth)) {
+ if ((line->pic->pic_cache->bitmap != NULL) && active_layer(line->depth)) {
/* only draw the picture if there is a pixmap AND this layer is active */
draw_pic_pixmap(line, op);
return;
diff -Naur /var/tmp/portage/media-gfx/xfig-3.2.5b-r2/work/xfig.3.2.5b/w_cmdpanel.c /root/xfig.3.2.5b/w_cmdpanel.c
--- /var/tmp/portage/media-gfx/xfig-3.2.5b-r2/work/xfig.3.2.5b/w_cmdpanel.c 2008-07-17 17:50:06.000000000 +0200
+++ /root/xfig.3.2.5b/w_cmdpanel.c 2012-04-20 09:54:55.595198185 +0200
@@ -1581,7 +1581,7 @@
beside = XtCreateManagedWidget("char_button", commandWidgetClass,
character_map_panel, Args, ArgCount);
/* add callback to paste character into current text */
- XtAddCallback(beside, XtNcallback, paste_char, (XtPointer) i);
+ XtAddCallback(beside, XtNcallback, paste_char, (XtPointer) (intptr_t) i);
/* skip empty entries and 127 (delete) */
if (i==126) {
below = beside;
diff -Naur /var/tmp/portage/media-gfx/xfig-3.2.5b-r2/work/xfig.3.2.5b/w_color.c /root/xfig.3.2.5b/w_color.c
--- /var/tmp/portage/media-gfx/xfig-3.2.5b-r2/work/xfig.3.2.5b/w_color.c 2007-04-04 18:18:32.000000000 +0200
+++ /root/xfig.3.2.5b/w_color.c 2012-04-20 09:23:24.738775166 +0200
@@ -334,7 +334,7